%global debug_package %{nil}

Name:           oracle-epel-release-el8
Version:        1.0
Release:        5%{dist}
Summary:        Extra Packages for Enterprise Linux (EPEL) yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        oracle-epel-ol8.repo
Source1:        LICENSE

BuildArch:     x86_64 aarch64
Requires:      oraclelinux-release-el8 >= 1.0-16
Requires:      grep
Requires:      sed
Requires:      yum-utils
Requires:      curl

Provides:      epel-release

%description
This package contains the  Extra Packages for Enterprise Linux (EPEL) yum repository configuration.

%prep
%setup  -q  -c -T


%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0}   \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*


%changelog
* Thu Mar 24 2022 Keshav Sharma <keshav.sharma@oracle.com> 1.0-5
- Add EPEL modular repo.

* Fri May 28 2021 Codrin Pruteanu <codrin.pruteanu@oracle.com> 1.0-4
- Add provide epel-release capability [ Orabug: 32659093]

* Thu Feb 25 2021 Keshav Sharma <keshav.sharma@oracle.com> 1.0-3
- Add ocidomain as yum variable [ OraBug: 31840501]

* Fri Jul 17 2020 Keshav Sharma <keshav.sharma@oracle.com> 1.0-2
- Use IMDS v2 for OCI.

* Tue Mar 3 2020 Keshav Sharma <keshav.sharma@oracle.com> 1.0-1
- Initial package
